{% extends 'base.html' %}
{% load static %}
{% block content %}
<div class="form-content">
    <div class="container">
        <div id="hello"><b>{{ title }}</b></div>    
        <form action="{% url 'story_5:add'%}" method="POST">
            {% csrf_token %}
            {{ form }}
        <br>
            <button type= "submit" class="btn btn-primary active btn-danger" value="Save">Add to Schedule</button>
        <br> <br>
        </form>
        <div id="hello"><b>My Schedule</b></div>
        <table class="table">
            <thead>
                <tr>
                    <th scope = "col">Date</th>
                    <th scope = "col">Time</th>
                    <th scope = "col">Activity</th>
                    <th scope = "col">Location</th>
                    <th scope = "col">Category</th>
                    <th scope = "col">Description</th>
                    <th scope = "col">Delete</th>
                </tr>
            </thead>
            <tbody>
                {% for acara in jadwal %}
                <tr>
                    <td>{{ acara.date |date:"l, j F Y" }}</td>
                    <td>{{ acara.time |date:"h:i A" }}</td>
                    <td>{{ acara.activity }}</td>
                    <td>{{ acara.location }}</td>
                    <td>{{ acara.category }}</td>
                    <td>{{ acara.description }}</td>
                    <td>
                        <form action="{% url 'story_5:delete' %}" method="POST">
                        {% csrf_token %}
                        <input type="hidden" name="pk" value="{{ acara.id }}">
                        <button type="submit" class="btn active btn-dark" value="Save"><b>-</b></button>
                        </form>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
</div>
{% endblock %}